#pragma strict

var player : GameObject;
var color : float;

private var scale : Vector3;

var degrees = 100;

function Start () {
	scale = transform.localScale;
}

function Update () {

	var delta = player.GetComponent(Shoot).ammo[color] / 100.0f;

	transform.localScale = new Vector3(scale.x * delta, scale.y * delta, scale.z * delta);

	//transform.RotateAround(player.transform.position, Vector3.forward, degrees * Time.deltaTime);
}